%% Funkce pro převod výsledku klasifikace (matice tříd) na barevný obraz
% Tepnám (třída 2) přiřazena červená barva, žílám (třída 3) modrá barva a
% pozadí (třída 1) je reprezentováno černou barvou.
%
% Vstupem funkce je class_matice, výsledek klasifikace, na výstupu je barevný obraz.

function[viz_img] = vizualizace(class_matice)

redChannel = zeros(size(class_matice, 1), size(class_matice, 2));
greenChannel = zeros(size(class_matice, 1), size(class_matice, 2));
blueChannel = zeros(size(class_matice, 1), size(class_matice, 2));

for i = 1:size(class_matice, 1)
    for j = 1:size(class_matice, 2)
        if class_matice(i, j) == 1       % jestliže je pixel klasifikován jako pozadí - černá barva
            redChannel(i, j) = 0;
            greenChannel(i, j) = 0;
            blueChannel(i, j) = 0;
        elseif class_matice(i, j) == 2   % jestliže je pixel klasifikován jako tepna - červená barva
            redChannel(i, j) = 255;
            greenChannel(i, j) = 0;
            blueChannel(i, j) = 0;
        elseif class_matice(i, j) == 3   % jestliže je pixel klasifikován jako žíla - modrá barva
            redChannel(i, j) = 0;
            greenChannel(i, j) = 0;
            blueChannel(i, j) = 255;
        end
    end
end

viz_img = cat(3, redChannel, greenChannel, blueChannel);   % vytvoření výsledného obrazu spojením jednotlivých RGB kanálů

end

